﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.Models;
using DPForModel126.Models;
namespace DPForModel126.Controllers
{
    public class HomeController : Controller
    {
      
        public ActionResult Index()
        {
            AutocompleteProperties ddl = new AutocompleteProperties();
            Mjesto ModelData = new Mjesto();
            ModelData.Naziv = "Romania";
            ViewBag.Mjesto = GetDataSource1();
            return View(ModelData);
           
        }
        [HttpPost]
        public ActionResult Index(Mjesto model)
        {
            ViewBag.Mjesto = GetDataSource1();
            return View(model);
        }
       

        public List<Mjesto> GetDataSource1()
        {
            
            List<Mjesto> data = new List<Mjesto>();
             data.Add(new Mjesto { MjestoID = 11, Naziv = "Algeria " });
             data.Add(new Mjesto { MjestoID = 12, Naziv = "Armenia " });
             data.Add(new Mjesto { MjestoID = 13, Naziv = "Bangladesh  " });
             data.Add(new Mjesto { MjestoID = 14, Naziv = "Cuba " });
             data.Add(new Mjesto { MjestoID = 15, Naziv = "Denmark  " });
             data.Add(new Mjesto { MjestoID = 16, Naziv = "Egypt  " });
             data.Add(new Mjesto { MjestoID = 17, Naziv = "Finland " });
             data.Add(new Mjesto { MjestoID = 18, Naziv = "India  " });
             data.Add(new Mjesto { MjestoID = 19, Naziv = "Malaysia " });
             data.Add(new Mjesto { MjestoID = 20, Naziv = "New Zealand " });
             data.Add(new Mjesto { MjestoID = 21, Naziv = "Norway " });
             data.Add(new Mjesto { MjestoID = 22, Naziv = "Romania " });
             data.Add(new Mjesto { MjestoID = 23, Naziv = "Singapore " });
             data.Add(new Mjesto { MjestoID = 24, Naziv = "Thailand " });
             data.Add(new Mjesto { MjestoID = 25, Naziv = "Ukraine  " });
            return data;
        }


        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
       
       
    }
}